Eclipse Platform Release 3.7

## org.eclipse.jface.text.contentassist
Interface ICompletionProposalExtension6

    public interface ICompletionProposalExtension6

Extends `ICompletionProposal` with the following function:

- Allow styled ranges in the display string.

Since:
  3.4

Method Summary
`StyledString` `getStyledDisplayString()` Returns the styled string used to display this proposal in the list of completion proposals.

Method Detail

### getStyledDisplayString

    StyledString getStyledDisplayString()

  Returns the styled string used to display this proposal in the list of completion proposals. This can for example be used to draw mixed colored labels.

  Note: `ICompletionProposal.getDisplayString()` still needs to be correctly implemented as this method might be ignored in case of uninstalled owner draw support.

  Returns:
    the string builder used to display this proposal

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.